net.sf.jasperreports.crosstabs.fill.calculation

## Class DefaultBucketValueOrderDecorator<T extends java.lang.Comparable<T>>

- java.lang.Object
- - net.sf.jasperreports.crosstabs.fill.calculation.DefaultBucketValueOrderDecorator<T>

- All Implemented Interfaces:
    java.lang.Comparable<DefaultBucketValueOrderDecorator<T>>, BucketValueOrderDecorator<java.lang.Comparable<T>>

      public class DefaultBucketValueOrderDecorator<T extends java.lang.Comparable<T>>
      extends java.lang.Object
      implements BucketValueOrderDecorator<java.lang.Comparable<T>>, java.lang.Comparable<DefaultBucketValueOrderDecorator<T>>

  Version:
    $Id: DefaultBucketValueOrderDecorator.java 6434 2013-08-28 12:55:35Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.crosstabs.fill.calculation.BucketValueOrderDecorator

      `BucketValueOrderDecorator.OrderPosition`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DefaultBucketValueOrderDecorator()`
    `protected` | `DefaultBucketValueOrderDecorator(T value, BucketValueOrderDecorator.OrderPosition position)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DefaultBucketValueOrderDecorator<T> o)`
    `BucketValueOrderDecorator.OrderPosition` | `getOrderPosition()`
    `T` | `getValue()`
    `void` | `setValue(T value)`
    `java.lang.String` | `toString()`
    `static <T extends java.lang.Comparable<T>> DefaultBucketValueOrderDecorator<T>` | `wrap(T value, BucketValueOrderDecorator.OrderPosition position)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultBucketValueOrderDecorator

          protected DefaultBucketValueOrderDecorator()

    - #### DefaultBucketValueOrderDecorator

          protected DefaultBucketValueOrderDecorator(T value,
                                          BucketValueOrderDecorator.OrderPosition position)

  - ### Method Detail

    - #### wrap

          public static final <T extends java.lang.Comparable<T>> DefaultBucketValueOrderDecorator<T> wrap(T value,
                                                                                     BucketValueOrderDecorator.OrderPosition position)

    - #### getOrderPosition

          public BucketValueOrderDecorator.OrderPosition getOrderPosition()

      Specified by:
        `getOrderPosition` in interface `BucketValueOrderDecorator<java.lang.Comparable<T extends java.lang.Comparable<T>>>`

    - #### getValue

          public T getValue()

      Specified by:
        `getValue` in interface `BucketValueOrderDecorator<java.lang.Comparable<T extends java.lang.Comparable<T>>>`

    - #### setValue

          public void setValue(T value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(DefaultBucketValueOrderDecorator<T> o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DefaultBucketValueOrderDecorator<T extends java.lang.Comparable<T>>>`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com